Skip to main content
GET
/
v1
/
linkedin
/
get-user-articles
Get User Articles
curl --request GET \
  --url https://api.agntdata.dev/v1/linkedin/get-user-articles \
  --header 'Authorization: <api-key>'
{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean"
    },
    "message": {
      "type": "string"
    },
    "data": {
      "type": "object",
      "properties": {
        "items": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "urn": {
                "type": "string"
              },
              "url": {
                "type": "string"
              },
              "duration": {
                "type": "string"
              },
              "description": {
                "type": "string"
              },
              "title": {
                "type": "string"
              },
              "images": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "url": {
                      "type": "string"
                    },
                    "width": {
                      "type": "integer"
                    },
                    "height": {
                      "type": "integer"
                    }
                  }
                }
              },
              "totalSocialActivityCounts": {
                "type": "object",
                "properties": {
                  "numComments": {
                    "type": "integer"
                  },
                  "likeCount": {
                    "type": "integer"
                  },
                  "appreciationCount": {
                    "type": "integer"
                  },
                  "empathyCount": {
                    "type": "integer"
                  },
                  "InterestCount": {
                    "type": "integer"
                  },
                  "praiseCount": {
                    "type": "integer"
                  },
                  "funnyCount": {
                    "type": "integer"
                  },
                  "maybeCount": {
                    "type": "integer"
                  },
                  "totalReactionCount": {
                    "type": "integer"
                  },
                  "numShares": {
                    "type": "integer"
                  }
                }
              }
            }
          }
        },
        "currentPage": {
          "type": "integer"
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...

Query Parameters

url
string
default:https://www.linkedin.com/in/williamhgates/
username
string
default:williamhgates

Response

200 - application/json

200

type
string
properties
object